## edu.cwru.SimpleRTS.model.prerequisite
Class PrerequisiteHolder

    java.lang.Object
      edu.cwru.SimpleRTS.model.prerequisite.PrerequisiteHolder

All Implemented Interfaces:
  Prerequisite, java.io.Serializable

    public class PrerequisiteHolder

extends java.lang.Object
implements Prerequisite

A prerequisite which stores other prerequisites

Author:
  The Condor
See Also:
  Serialized Form

Constructor Summary
`PrerequisiteHolder()`
`PrerequisiteHolder(java.util.List<Prerequisite> prerequisites)`

Method Summary
`void` `addPrerequisite(Prerequisite prereq)` Add a prerequisite, for use in constructing the holder
`boolean` `isFulfilled(State.StateView state)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrerequisiteHolder

    public PrerequisiteHolder(java.util.List<Prerequisite> prerequisites)

### PrerequisiteHolder

    public PrerequisiteHolder()

Method Detail

### isFulfilled

    public boolean isFulfilled(State.StateView state)

  Specified by:
    `isFulfilled` in interface `Prerequisite`

### addPrerequisite

    public void addPrerequisite(Prerequisite prereq)

  Add a prerequisite, for use in constructing the holder